import { EnumDeclaration, Identifier, ModuleDeclaration, Statement } from 'typescript';
import { DescriptorProto, EnumDescriptorProto, FileDescriptorProto } from './compiler/descriptor.js';
/**
 * Returns a enum for the enum descriptor
 */
export declare function createEnum(enumDescriptor: EnumDescriptorProto): EnumDeclaration;
export declare function createNamespace(packageName: string, statements: Statement[]): ModuleDeclaration;
export declare function createMessage(file: FileDescriptorProto, message: DescriptorProto, pbIdentifier: Identifier): Statement[];
